Package org.springframework.aop.aspectj.annotation

# Enum Class AbstractAspectJAdvisorFactory.AspectJAnnotationType

java.lang.Object
java.lang.Enum<AbstractAspectJAdvisorFactory.AspectJAnnotationType>
org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory.AspectJAnnotationType

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractAspectJAdvisorFactory.AspectJAnnotationType>`, `Constable`

Enclosing class:
  AbstractAspectJAdvisorFactory

protected static enum AbstractAspectJAdvisorFactory.AspectJAnnotationType extends Enum<AbstractAspectJAdvisorFactory.AspectJAnnotationType>
Enum for AspectJ annotation types.

See Also:
  - `AbstractAspectJAdvisorFactory.AspectJAnnotation.getAnnotationType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AtAfter`
`AtAfterReturning`
`AtAfterThrowing`
`AtAround`
`AtBefore`
`AtPointcut`

## Method Summary

Modifier and Type
Method
Description
`static AbstractAspectJAdvisorFactory.AspectJAnnotationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractAspectJAdvisorFactory.AspectJAnnotationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AtPointcut

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtPointcut

### AtAround

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAround

### AtBefore

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtBefore

### AtAfter

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfter

### AtAfterReturning

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfterReturning

### AtAfterThrowing

public static final AbstractAspectJAdvisorFactory.AspectJAnnotationType AtAfterThrowing

## Method Details

### values

public static AbstractAspectJAdvisorFactory.AspectJAnnotationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractAspectJAdvisorFactory.AspectJAnnotationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null